/home/travis/build/boostorg/boost/boost/geometry/algorithms/make.hpp File Reference

## Namespaces

namespace | boost
namespace | boost::geometry

## Functions

template<typename Geometry , typename Type >
Geometry | boost::geometry::make (Type const &c1, Type const &c2)
| Construct a geometry.
template<typename Geometry , typename Type >
Geometry | boost::geometry::make (Type const &c1, Type const &c2, Type const &c3)
| Construct a geometry.
template<typename Geometry , typename Type >
Geometry | boost::geometry::make (Type const &c1, Type const &c2, Type const &c3, Type const &c4)
template<typename Geometry >
Geometry | boost::geometry::make_inverse ()
| Construct a box with inverse infinite coordinates.
template<typename Geometry >
Geometry | boost::geometry::make_zero ()
| Construct a geometry with its coordinates initialized to zero.

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK